petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMPlexGlobalToLocalBasis

Transform the values in the given local vector from the global basis to the local basis

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGlobalToLocalBasis(DM dm, Vec lv)

### Input Parameters

| dm | - The DM
| lv | - A local vector with values in the global basis

### Output Parameters

lv -A local vector with values in the local basis

Note: This method is only intended to be called inside DMGlobalToLocal(). It is unlikely that a user will have a local vector full of coefficients for the global basis unless they are reimplementing GlobalToLocal.

### See Also

DMPlexLocalToGlobalBasis(), DMGetLocalSection()

### Level

developer

### Location

src/dm/impls/plex/plexfem.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages